=== debian/changelog ===
shotwell (0.15.0-0ubuntu1) saucy; urgency=low

  * Update from the rc to the stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Oct 2013 12:42:23 +0200

shotwell (0.15.0~pr3-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/libexec.patch: 
    - dropped, upstream supports libexecdir now
  * debian/rules: 
    - set libexec to /usr/lib/shotwell

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Sep 2013 15:13:52 +0200

shotwell (0.15.0~pr1-0ubuntu2) saucy; urgency=low

  * debian/control: Build-Depends on desktop-file-utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Sep 2013 19:45:16 +0200

shotwell (0.15.0~pr1-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/control: 
    - updated build-depends for the new version
  * debian/patches/document-mode.patch:
    - dropped, the change is in the new version
  * debian/patches/06_uoa.patch:
    - updated for the new version, thanks Alberto Mardegan

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2013 11:34:04 +0200

shotwell (0.14.1-3ubuntu3) saucy; urgency=low

  * Add autopilot autopkgtest to check import from a libgphoto2 camera
    (simulated with umockdev, recorded from a Canon PowerShot SX200).
    debian/tests/import will run under a local session D-BUS and xvfb, but you
    can also run the test interactively with
    "cd debian/tests; autopilot run autopilot_tests".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Aug 2013 12:21:12 +0200

shotwell (0.14.1-3ubuntu2) saucy; urgency=low

  * Build against libgphoto2-6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 08:46:32 +0200

shotwell (0.14.1-3ubuntu1) saucy; urgency=low

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in
      + Build-depend on python-scour, libunity-dev, libsignon-glib-dev, and
       libaccounts-glib-dev
      + suggest account plugins
      + Bump breaks/replaces since we didn't take the package split until now
    - debian/rules:
       + dh --with-scour
       + configure --disable-icon-update --unity-support
    - debian/patches/02_desktop_translations.patch:
      + Don't translate the .desktop files, they work with gettext and the
        build system translates them all into English
    - debian/patches/06_uoa.patch:
      + Add Ubuntu Online Accounts support
  * Dropped no longer needed patches:
    - debian/patches/03_appmenu_no_stubs.patch
    - debian/patches/04_no_resize_grip.patch
    - debian/patches/05-gomp-linking.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Jul 2013 12:44:34 -0400

shotwell (0.14.1-3) unstable; urgency=low

  * Team upload.
  * debian/patches/document-mode.patch:
    - Remove reference to document-mode processing APIs (Closes: #710141).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Jul 2013 10:59:32 +0200

shotwell (0.14.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/patches/libexec.patch:
    - Do not install files in libexec directory (Closes: #706430).
  * debian/control:
    - Build-depend on valac (>= 0.18.0).
  * debian/shotwell-common.lintian-overrides:
    - Removed, no longer needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 23:22:52 +0200

shotwell (0.14.1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright file.
  * Install shotwell-settings-migrator script in shotwell-common package
    (Closes: #705423).
  * Fix hardening-no-fortify-functions lintian warnings.
  * Fix hardening-no-relro lintian warning.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 28 Apr 2013 15:10:11 +0200

shotwell (0.14.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Fixes strftime strings that generated bogus dates in the
      Catalan translation (Closes: #675102).
    - Fix assertion error on startup (Closes: #683883).
  * debian/control:
    - Bump build-dependencies minimum requirements.
      - valac-0.18 (>= 0.18.0)
      - libgexiv2-dev (>= 0.4.90)
      - libgstreamer1.0-dev (>= 1.0.0)
      - libgstreamer-plugins-base1.0-dev (>= 1.0.0)
    - Drop libunique-3.0-dev and libusb-dev, no longer needed.
  * debian/rules:
    - Explicitly call configure instead of dh_auto_configure.
  * debian/watch:
    - Do not list preview versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 21 Mar 2013 20:14:36 +0100

shotwell (0.13.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Fix crash on invalid piwigo response (Closes: #687930).
  * debian/control:
    - Remove DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 28 Nov 2012 11:26:02 +0100

shotwell (0.13.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #688365).
    - Fix French localization (Closes: #684578, #684579).
  * debian/patches/gettext.patch:
    - Removed, applied upstream.
  * debian/patches/metadata.patch:
    - Removed, applied upstream.
  * debian/patches/openmp.patch:
    - Removed, no longer needed.
  * debian/control:
    - Build-depend on valac-0.18 (>= 0.17.2) and libjson-glib-dev.
    - Mention CR2 format in package description (Closes: #685300).
    - Bump Standards-Version to 3.9.4.
  * debian/watch:
    - Track xz tarballs.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 29 Sep 2012 14:58:49 +0200
