=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --dbg-package=shotwell-dbg --with-scour

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib/shotwell --disable-schemas-compile  --disable-icon-update --unity-support

override_dh_installchangelogs:
	dh_installchangelogs NEWS
