=== debian/tests/control ===
Tests: import
Depends: shotwell,
 xvfb,
 dbus-x11,
 umockdev,
 autopilot-desktop,
 libautopilot-gtk
