## shotwell 0.18.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 PROGRAM_MIGRATOR = shotwell-settings-migrator
 
-VERSION = 0.15.0
+VERSION = 0.18.0
 GITVER := $(shell git log -n 1 2>/dev/null | head -n 1 | awk '{print $$2}')
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
@@ -10,7 +10,7 @@
 ifndef VALAC
 VALAC := $(shell which valac)
 else
-VALAC := $(shell which $VALAC)
+VALAC := $(shell which $(VALAC))
 endif
 
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
@@ -30,14 +30,7 @@
 LIBEXECDIR=$(PREFIX)/libexec/shotwell
 endif
 
-CORE_SUPPORTED_LANGUAGES= ia hi te fr de it es pl et sv sk lv pt bg bn nl da zh_CN \
-    el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR \
-    eu he mk ta vi or km af as gu kn ml mr af_ZA bn_IN id_ID ky nn_NO ta_IN te_IN tr_TR
-
-EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
-    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta eo or hi \
-    as kn ml mr bn_IN gu id_ID nn_NO tr_TR vi
-    
+CORE_SUPPORTED_LANGUAGES=$(shell cat po/LINGUAS)
 
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale
@@ -238,53 +231,6 @@
 	filter-videos.png \
 	filter-flagged.png
 
-HELP_FILES = \
-	edit-adjustments.page \
-	edit-crop.page \
-	edit-enhance.page \
-	edit-external.page \
-	edit-nondestructive.page \
-	edit-redeye.page \
-	edit-rotate.page \
-	edit-straighten.page \
-	edit-time-date.page \
-	edit-undo.page \
-	formats.page \
-	import-camera.page \
-	import-file.page \
-	import-f-spot.page \
-	import-memorycard.page \
-	index.page \
-	organize-event.page \
-	organize-flag.page \
-	organize-rating.page \
-	organize-remove.page \
-	organize-search.page \
-	organize-tag.page \
-	organize-title.page \
-	other-files.page \
-	other-missing.page \
-	other-multiple.page \
-	other-plugins.page \
-	raw.page \
-	running.page \
-	share-background.page \
-	share-export.page \
-	share-print.page \
-	share-send.page \
-	share-slideshow.page \
-	share-upload.page \
-	view-displaying.page \
-	view-information.page \
-	view-sidebar.page
-
-HELP_IMAGES = \
-	crop_thirds.jpg \
-	editing_overview.png \
-	edit_toolbar.png \
-	shotwell_logo.png \
-	trash_process.png
-
 VAPI_DIRS = \
 	./vapi
 
@@ -355,7 +301,8 @@
 	libxml-2.0 >= 2.6.32 \
 	rest-0.7 >= 0.7 \
 	sqlite3 >= 3.5.9 \
-	webkitgtk-3.0 >= 1.4.0 
+	webkitgtk-3.0 >= 1.4.0 \
+	gnome-doc-utils
 
 DIRECT_LIBS_VERSIONS =
 
@@ -375,6 +322,9 @@
 DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
 TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop
 
+# for help page and translation .po files
+include help/Makefile.am
+
 # Process the units
 UNIT_MKS := $(foreach unit,$(UNITS),src/$(unit)/mk/$(notdir $(unit)).mk)
 include $(UNIT_MKS)
@@ -396,8 +346,7 @@
 MIGRATOR_DIR := settings-migrator
 MIGRATOR_BIN := $(MIGRATOR_DIR)/$(PROGRAM_MIGRATOR)
 
-EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
-EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)
+EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/$(po).po)
 
 EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
 	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
@@ -410,10 +359,15 @@
 EXPANDED_DEPS_FILES := $(foreach deps,$(DEPS_FILES),vapi/$(deps))
 EXPANDED_SRC_HEADER_FILES := $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
 EXPANDED_RESOURCE_FILES := $(foreach res,$(RESOURCE_FILES),ui/$(res))
-EXPANDED_HELP_FILES := $(foreach file,$(HELP_FILES),help/C/$(file))
-EXPANDED_HELP_IMAGES := $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
+EXPANDED_DOC_IMAGES := $(foreach file,$(DOC_IMAGES),help/C/figures/$(file))
+EXPANDED_DOC_PAGES := $(foreach page,$(DOC_PAGES),help/C/$(page))
+EXPANDED_DOC_PO := $(foreach lang,$(DOC_LINGUAS),help/$(lang)/$(lang).po)
+EXPANDED_XLAT_DOC_PAGES := \
+	$(foreach lang,$(DOC_LINGUAS),\
+		$(foreach page,$(DOC_PAGES),help/$(lang)/$(page)))
 VALA_STAMP := $(BUILD_DIR)/.stamp
 LANG_STAMP := $(LOCAL_LANG_DIR)/.langstamp
+DOC_LANG_STAMP := help/.langstamp
 MAKE_FILES := Makefile $(CONFIG_IN) $(UNIT_MKS) unitize.mk units.mk
 PC_INPUT := shotwell-plugin-dev-1.0.m4
 PC_FILE := $(PC_INPUT:.m4=.pc)
@@ -421,12 +375,12 @@
 DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_DEPS_FILES) $(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) \
 	$(EXPANDED_ICON_FILES) $(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) \
-	$(EXPANDED_EXTRAS_PO_FILES) \
-	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot \
-	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
+	po/LINGUAS po/POTFILES.in po/POTFILES.skip \
+	$(EXPANDED_DOC_PAGES) $(EXPANDED_DOC_IMAGES) $(EXPANDED_DOC_PO) help/Makefile.am \
+	apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
 	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
 	vapi/gphoto-2.5/libgphoto2.vapi vapi/gphoto-2.4/libgphoto2.vapi \
-	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN) potgen-shotwell
+	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN)
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_XZ = $(DIST_TAR).xz
@@ -459,3 +413,55 @@
 PLUGIN_CFLAGS += $(PROFILE_FLAGS) $(REQUIRED_CFLAGS)
 
 # Required for gudev-1.0
+CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
+
+all: pkgcheck valacheck desktop
+
+ifdef ENABLE_BUILD_FOR_GLADE
+all: $(PLUGINS_DIR) lib$(PROGRAM).so $(PROGRAM) $(PC_FILE)
+else
+all: $(PLUGINS_DIR) $(PROGRAM) $(PC_FILE)
+endif
+
+
+include src/plugins/mk/interfaces.mk
+
+$(LANG_STAMP): $(EXPANDED_CORE_PO_FILES)
+	@$(foreach po,$(CORE_SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
+		msgfmt -c -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
+	@touch $(LANG_STAMP)
+
+clean:
+	rm -f $(EXPANDED_C_FILES)
+	rm -f $(EXPANDED_OBJ_FILES)
+	rm -f $(VALA_STAMP)
+	rm -rf $(PROGRAM)-$(VERSION)
+	rm -f $(PROGRAM)
+	rm -f $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
+	rm -rf $(LOCAL_LANG_DIR)
+	rm -f $(LANG_STAMP)
+	rm -f $(DOC_LANG_STAMP)
+	rm -f $(EXPANDED_XLAT_DOC_PAGES)
+	rm -f $(TEMPORARY_DESKTOP_FILES)
+	rm -f lib$(PROGRAM).so
+	rm -rf $(UNITIZE_DIR)
+	rm -f $(PLUGIN_VAPI)
+	rm -f $(PLUGIN_HEADER)
+	rm -f $(PLUGIN_DEPS)
+	rm -f $(PLUGINS_SO)
+	rm -f $(EXTRA_PLUGINS_SO)
+	@$(MAKE) --directory=plugins clean
+	rm -f $(PC_FILE)
+
+cleantemps:
+	rm -f $(EXPANDED_C_FILES)
+	rm -f $(EXPANDED_OBJ_FILES)
+	rm -f $(VALA_STAMP)
+	rm -f $(LANG_STAMP)
+	rm -f $(DOC_LANG_STAMP)
+	rm -f $(TEMPORARY_DESKTOP_FILES)
+	@$(MAKE) --directory=plugins cleantemps
+	rm -f misc/gschemas.compiled
+
+package:
+	$(MAKE) dist
