=== plugins/shotwell-transitions/Makefile ===

PLUGIN := shotwell-transitions

SRC_FILES := \
	shotwell-transitions.vala \
	FadeEffect.vala \
	SlideEffect.vala \
	CrumbleEffect.vala \
	BlindsEffect.vala \
	CircleEffect.vala \
	CirclesEffect.vala \
	SquaresEffect.vala \
	StripesEffect.vala \
	ChessEffect.vala \
	ClockEffect.vala

RC_FILES := \
	slideshow-plugin.png

include ../Makefile.plugin.mk
