=== debian/changelog ===
shotwell (0.18.0-0ubuntu4) trusty; urgency=medium

  * Drop unity-control-center-signon from Recommends to Suggests, so we
    don't pull in that whole stack on non-unity desktops (LP: #1301712)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Apr 2014 21:49:18 -0600

shotwell (0.18.0-0ubuntu3) trusty; urgency=medium

  * debian/control: Recommends unity-control-center-signon
  * debian/patches/06_uoa.patch: use the correct command for the new naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Mar 2014 17:35:39 +0200

shotwell (0.18.0-0ubuntu2) trusty; urgency=medium

  * debian/control: build-depends on gnome-doc-utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2014 18:10:52 +0100

shotwell (0.18.0-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2014 18:03:41 +0100

shotwell (0.17.2-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Mar 2014 23:45:23 +0100

shotwell (0.17.1-0ubuntu2) trusty; urgency=medium

  * debian/control: build-depends on intltool

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2014 16:58:18 +0100

shotwell (0.17.1-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/patches/git_revert_keyword.patch: 
    - drop, including in the update
  * debian/patches/06_uoa.patch:
    - updated the translations list
  * debian/rules:
    - run intltool-update on build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2014 16:42:32 +0100

shotwell (0.17.0-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/patches/format_string.patch: 
    - drop, included in the new version
  * debian/patches/git_revert_keyword.patch:
    - backport commit to fix hang on start issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2014 10:10:21 +0000

shotwell (0.15.1-0ubuntu3) trusty; urgency=medium

  * Build against libgphoto2-dev instead of libgphoto2-6-dev. (Reverts Ubuntu
    specific delta)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 09:23:22 +0100

shotwell (0.15.1-0ubuntu2) trusty; urgency=medium

  * Refresh debian/tests/autopilot_tests/powershot-import.ioctl for
    libgphoto2 2.5.3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 10:41:40 +0100

shotwell (0.15.1-0ubuntu1) trusty; urgency=low

  * New upstream version:
    - should fix assertions in the database code (lp: #1202049)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Nov 2013 11:10:21 +0100

shotwell (0.15.0-0ubuntu2) trusty; urgency=low

    dbus-launch invocation.
  * autopilot_tests/test_gphoto_import.py: Port to Autopilot 1.4 API, bump
    test dependency accordingly.
  * debian/tests/import: Greatly simplify by using the new
    autopilot-run-sandbox script.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 06 Nov 2013 16:13:14 +0100
