=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libexif-dev (>= 0.6.16),
                libsqlite3-dev (>= 3.5.9),
                libgexiv2-dev (>= 0.4.90),
-               libgphoto2-6-dev (>= 2.4.2),
+               libgphoto2-dev (>= 2.4.2),
                libsoup2.4-dev (>= 2.26.0),
                libxml2 (>= 2.6.32),
                libwebkitgtk-3.0-dev (>= 1.4.0),
@@ -28,6 +28,8 @@
                libunity-dev,
                python-scour,
                desktop-file-utils,
+               intltool,
+               gnome-doc-utils,
 Standards-Version: 3.9.4
 Homepage: http://yorba.org/shotwell/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
@@ -40,7 +42,7 @@
          shotwell-common (= ${source:Version}),
          librsvg2-common,
          dbus-x11
-Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr
+Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr, unity-control-center-signon
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos from disk or camera, organize
