=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_install:
+	cd po; intltool-update --pot --verbose -g=shotwell
+	dh_install --fail-missing
