=== debian/changelog ===
shotwell (0.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Add sharedobject-in-library-directory-missing-soname to
    lintian-overrides.
  * debian/patch/hardening.patch:
    - Add removal of --fatal-warnings at plugins/Makefile.plugins.mk
      to prevent build errors on armel and mips.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 09 Oct 2014 11:57:41 +0200

shotwell (0.20.0-1) unstable; urgency=medium

  * New upstream release (Closes: #762357).
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-Browser to cgit.
  * debian/copyright:
    - Remove deleted file icons/hidden.svg.
    - Add missed file icons/import-all.png.
    - Remove whitspaces at EOL.
  * debian/rules:
    - Enable hardening=+all because files can open over network.
    - Remove useless variable assignments.
    - Add --debug to configure.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 23 Sep 2014 18:56:52 +0200

shotwell (0.18.1-2) unstable; urgency=medium

  * New Maintainer (Closes: #755416).
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
  * debian/control:
    - Set myself as maintainer.
    - For previously not existing Vcs
      + Create a new git repository on alioth.
      + Add the Fields Vcs-Browser and Vcs-Git.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Jul 2014 07:27:30 +0200

shotwell (0.18.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Set Homepage field to the new home page.
  * debian/control:
    - Set download reference to the new site.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 20 Jul 2014 17:15:28 +0200

shotwell (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/patches/hardening.patch:
    - Refresh for new upstream release.
  * debian/patches/thumbnailer_path.patch:
    - Removed, not needed.
  * debian/control:
    - Re-add myself as Uploader.
    - Add gnome-doc-utils to Build-Depends.
    - Replace libgphoto2-2-dev with libgphoto2-dev (Closes: #739355).
  * debian/manpages:
    - Do not install shotwell-video-thumbnailer anymore.
  * debian/shotwell-video-thumbnailer.1:
    - Removed, no longer needed.
  * debian/rules:
    - Explicitly set libexecdir to /usr/lib (Closes: #742083).
  * debian/watch:
    - Point to the GNOME FTP server.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Mar 2014 14:02:25 +0100

shotwell (0.17.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/format_string.patch:
    - Removed, applied upstream.
  * debian/patches/hardening.patch:
    - Refresh for new upstream release.
  * debian/patches/libexec.patch
    - Refresh for new upstream release.
  * debian/patches/thumbnailer_path.patch:
    - Refresh for new upstream release.
  * debian/shotwell.lintian-overrides:
    - Remove useless library-not-linked-against-libc tag.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 16 Feb 2014 14:10:50 +0100

shotwell (0.15.0-2) unstable; urgency=medium

  * Team upload to unstable.
  * debian/control:
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 16 Feb 2014 14:02:15 +0100

shotwell (0.15.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #726594).
    - Fix FTBFS with vala 0.22 (Closes: #726510).
  * debian/patches/document-mode.patch:
    - Removed, applied upstream.
  * debian/patches/hardening.patch:
    - Refresh for new upstream release.
  * debian/patches/libexec.patch
    - Refresh for new upstream release.
  * debian/patches/thumbnailer_path.patch:
    - Install shotwell-video-thumbnailer under /usr/bin.
  * debian/control:
    - Build-depend against desktop-file-utils.
    - Refresh build-dependency miminum versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 17 Oct 2013 22:04:11 +0200
