=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gnome-doc-utils,
 libexif-dev (>= 0.6.16),
 libgee-0.8-dev (>= 0.8.5),
 libgexiv2-dev (>= 0.4.90),
 libglib2.0-dev (>= 2.30.0),
 libgphoto2-dev (>= 2.4.2),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer1.0-dev (>= 1.0.0),
 libgtk-3-dev (>= 3.6.0),
 libgudev-1.0-dev (>= 145),
 libjson-glib-dev,
 libraw-dev (>= 0.14),
 librest-dev (>= 0.7),
 libsoup2.4-dev (>= 2.26.0),
 libsqlite3-dev (>= 3.5.9),
 libwebkitgtk-3.0-dev (>= 1.4.0),
 libxml2 (>= 2.6.32),
 m4,
 valac (>= 0.22.0)
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Shotwell
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/shotwell.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/shotwell.git

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.12.3-1)
Replaces: shotwell (<< 0.12.3-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package contains the debugging symbols for Shotwell.
